/* vd_disp.cc - display images read from a video file one-by-one,
 *              press SPACE key to proceed forward, ESCAPE to quit.
 *
 * Scott Livingston
 * 16 Feb 2009
 */


#include <cv.h>
#include <highgui.h>

#include <ctime>
#include <iostream>
using namespace std;


int main( int argc, char *argv[] )
{
	int c; // read key
	IplImage *img;
	CvCapture *capt = NULL;

	if (argc != 2) {
		printf( "Usage: %s video-file\n", argv[0] );
		return 1;
	}

	if ((capt = cvCreateFileCapture( argv[1] )) == NULL) {
		fprintf( stderr, "Error: could not open video file for reading: %s\n", argv[1] );
		return -1;
	}

	cvNamedWindow( "step_through_video", CV_WINDOW_AUTOSIZE );

	do {

		img = cvQueryFrame( capt );
		cvShowImage( "step_through_video", img );

	} while ((c = cvWaitKey(0)) != 27);

	cvReleaseCapture( &capt );

	return 0;
}
